Subject: [Rfced-future] Issues 28 and 29: Do we need to update BCP 78 and 79?

From: Eliot Lear <[email-masked]>
Date: Mon, 6 Sep 2021 09:00:09 +0200

Hi John,

This issue is about IPR policies and BCP 78.  As I understand it, the 
different streams have different IPR policies.  The draft states 
currently that *meetings* be held consistent with BCPs 78 and 79, but 
does not directly discuss contributions. Also, we have now defined a new 
stream.

It seems to me that we need to add the word "contributions" in Section 
3.1.1, a'la:

OLD:

Therefore, all RSWG meetings shall be

NEW:

Therefore, all RSWG meetings *and contributions* shall be

I recognize this is not perfect poetry in the context, but hopefully 
reasonably comprehensible.

This leaves open whether we need to address *other* streams in this 
document.   As I read through BCP 79 and the IRTF policy it seems to me 
that this is a matter for the streams and not for us.  Do I 
misunderstand the situation?  The IRTF could decide to change their 
disclosure policy independently of the IETF.

The only issue I can think of would be late disclosures that occur after 
stream approval but before a document is published. Here the streams 
might set a policy that says that the RPC should hold publication until 
the stream has considered the disclosure. I don't think that requires 
text here, tho.  Does it?

Also, for both of these issues, does the group want IETF counsel to 
review this matter?  I'm not saying he would take this up, but better to 
ask the question now than later...

Eliot

---

From: Colin Perkins <[email-masked]>
Date: Mon, 6 Sep 2021 13:57:12 +0100

Hi,

> On 6 Sep 2021, at 08:00, Eliot Lear <[email-masked]> wrote:
> 
> Hi John,
> 
> This issue is about IPR policies and BCP 78.  As I understand it, the different streams have different IPR policies.  The draft states currently that meetings be held consistent with BCPs 78 and 79, but does not directly discuss contributions.  Also, we have now defined a new stream.
> 
> It seems to me that we need to add the word "contributions" in Section 3.1.1, a'la:
> 
> OLD:
> 
> Therefore, all RSWG meetings and contributions shall be
> 
> I recognize this is not perfect poetry in the context, but hopefully reasonably comprehensible.
> 
I don’t like the suggested phrasing, but I agree that all contributions to the RSWG need to follow a clear IPR disclosure policy. I’d argue that such a policy ought to be consistent with that of the IETF, since there’s too much potential for confusion if the policy differs.
> This leaves open whether we need to address other streams in this document.   As I read through BCP 79 and the IRTF policy it seems to me that this is a matter for the streams and not for us.  Do I misunderstand the situation?  The IRTF could decide to change their disclosure policy independently of the IETF.  
> 
My understanding of RFC 8179 is that the alternate streams need to choose whether they adopt the IETF’s IPR policy, and that doing so is a matter for each stream.

(For the record, the IRTF does follow the IETF policy with an additional provision encouraging timely disclosure.)
> The only issue I can think of would be late disclosures that occur after stream approval but before a document is published.  Here the streams might set a policy that says that the RPC should hold publication until the stream has considered the disclosure.  I don't think that requires text here, tho.  Does it?
> 
The IETF asks the authors to confirm that any necessary IPR disclosures have been made when a draft is sent to the IESG for review (it’s part of the shepherd write-up). The equivalent here would be to ask for confirmation as the draft goes to the RSAB for review. I think that would be a good policy to adopt.
> Also, for both of these issues, does the group want IETF counsel to review this matter?  I'm not saying he would take this up, but better to ask the question now than later...

I presumed the IETF's lawyer will review the output of this group, given the scope of process changes being made?

-- 
Colin Perkins
https://csperkins.org/

---

From: John C Klensin <[email-masked]>
Date: Mon, 06 Sep 2021 10:30:33 -0400

Eliot,

As long as we do not plan to change the principle that different
streams can have different IPR policies, I see no reason to make
any significant changes or additional specifications for present
or future streams.  Similarly, since we invented streams, it has
been at least the informal policy that a stream can ask the RFC
Editor Function (now, in practice, the RPC) to put a hold on a
document from that stream up until the last minute before
publication.  I don't see any reason to belabor or overspecify
that point either.    

As far as the RSWG is concerned, while I don't see a problem
with adding "contributions" as you suggest, it does raise
another issue.  While I hope we can ignore it for now, is can
see no inherent reason why the RSWG should follow IETF policies
rather than, e.g., IAB ones.  At present, the policies of the
existing streams are consistent with each other if not
identical.  But suppose that one of them, or some future stream,
decides to adopt policies that are either much more or much less
restrictive (the most obvious example would be a stream
requiring FRAND, rather than disclosure, for anything
patent-related).  Would we want to policy for the RSWG to
reflect what the IETF does no matter what, or to reflect the
most restrictive policy, or... ?

My hope is that we can avoid specifying every possibility that
seems unlikely, stick with the current text (with your
modification), and, if real issues arise in the future, deal
with them then.

In any event, coming back to your subject line and issues rather
than the text of your message, I have just taken a quick look at
RFCs 5378 (BCP 78) and 8179 (BCP 79) and, assuming we can treat
"the RFC Editor" in those documents broadly as the RFC Editor
Function, I don't see any need to modify those documents.  It
should be sufficient for the defining documents for the
reorganized function to specify. by reference, the policies any
relevant bodies should follow.

Alternately, if we were feeling really compulsive, we be sure
that "RFC Editor Function" was precisely defined to cover the
whole system and then could modify/update those documents to
clarify that "RFC Editor" really means "RFC Editor Function".  I
hope we don't need to go there, if only because it would imply a
need to examine many other documents to see whether similar
clarifications / changes/ updates updates were needed and apply
them.

As to IETF Counsel, I don't see any objection to doing so as
long as it did not hold things up significantly.  However, as
long as we are simply adding or clarifying a place where those
rules are applied, rather than changing the rules, I don't see
that doing so is very important.

best,
   john

--On Monday, September 6, 2021 09:00 +0200 Eliot Lear
<[email-masked]> wrote:

> Hi John,
> 
> This issue is about IPR policies and BCP 78.  As I understand
> it, the different streams have different IPR policies.  The
> draft states currently that *meetings* be held consistent with
> BCPs 78 and 79, but does not directly discuss contributions.
> Also, we have now defined a new stream.
> 
> This leaves open whether we need to address *other* streams in
> this document.   As I read through BCP 79 and the IRTF
> policy it seems to me that this is a matter for the streams
> and not for us.  Do I misunderstand the situation?  The IRTF
> could decide to change their disclosure policy independently
> of the IETF.
> 
> The only issue I can think of would be late disclosures that
> occur after stream approval but before a document is
> published. Here the streams might set a policy that says that
> the RPC should hold publication until the stream has
> considered the disclosure. I don't think that requires text
> here, tho.  Does it?
> 
> Also, for both of these issues, does the group want IETF
> counsel to review this matter?  I'm not saying he would take
> this up, but better to ask the question now than later...
> 
> Eliot
>

---

From: Eliot Lear <[email-masked]>
Date: Tue, 7 Sep 2021 08:45:22 +0200

Hi Colin,

On 06.09.21 14:57, Colin Perkins wrote:
> Hi,
>
>> On 6 Sep 2021, at 08:00, Eliot Lear <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> Hi John,
>>
>> does not directly discuss contributions.  Also, we have now defined a 
>> new stream.
>>
> I don’t like the suggested phrasing, but I agree that all 
> contributions to the RSWG need to follow a clear IPR disclosure 
> policy. I’d argue that such a policy ought to be consistent with that 
> of the IETF, since there’s too much potential for confusion if the 
> policy differs.

Ok.  Let's leave this to Peter to touch up.

>> document.   As I read through BCP 79 and the IRTF policy it seems to 
>> me that this is a matter for the streams and not for us. Do I 
> My understanding of RFC 8179 is that the alternate streams need to 
> choose whether they adopt the IETF’s IPR policy, and that doing so is 
> a matter for each stream.
>
> (For the record, the IRTF does follow the IETF policy with an 
> additional provision encouraging timely disclosure.)

Ok.

>> The only issue I can think of would be late disclosures that occur 
>> after stream approval but before a document is published.  Here the 
>> streams might set a policy that says that the RPC should hold 
>> publication until the stream has considered the disclosure.  I don't 
>> think that requires text here, tho.  Does it?
>>
> The IETF asks the authors to confirm that any necessary IPR 
> disclosures have been made when a draft is sent to the IESG for review 
> (it’s part of the shepherd write-up). The equivalent here would be to 
> ask for confirmation as the draft goes to the RSAB for review. I think 
> that would be a good policy to adopt.

Ok.  Which is a good reference for that confirmation?

>> review this matter?  I'm not saying he would take this up, but better 
>> to ask the question now than later...
>>
> I presumed the IETF's lawyer will review the output of this group, 
> given the scope of process changes being made?
>
Ok.

Others?

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Sat, 11 Sep 2021 17:31:00 +0200

Ok.

Here's what I think I am hearing for these issues:

No change or update to either BCP 78 or 79 is required.  Phew. If you 
disagree, please say so by the 25th of December, preferrably while 
offering everyone here and at the IETF an alcoholic beverage.

We will add a sentence in the draft that indicates that all 
contributions under this process are covered by BCPs 78 and 79. 
Objections by September 25th.

Eliot

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 16 Sep 2021 11:23:32 -0600

FYI I added text about this in the latest version:

   The RFC Series Working Group (RSWG) shall formulate proposals
   regarding policies that govern the RFC series.  The intent is that
   the RSWG operate in a way similar to working groups in the IETF and
   research groups in the IRTF.  Therefore, all RSWG meetings shall be
   open to any participant, and all RSWG contributions shall be subject
   to intellectual property policies, which must be consistent with
   those of the IETF as specified in BCP 78 [RFC5378] and BCP 79
   [RFC8179].

It might need further tweaking.

Peter